DL_CryptoSystemBase< PK, KI > Class Template Referenceabstract

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_CryptoSystemBase< PK, KI >:

## Public Types

typedef DL_Base< KI >::Element | Element

## Public Member Functions

size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
bool | ParameterSupported (const char *name) const

## Protected Types

typedef KI | KeyInterface

## Protected Member Functions

virtual const DL_KeyAgreementAlgorithm< Element > & | GetKeyAgreementAlgorithm () const =0
virtual const DL_KeyDerivationAlgorithm< Element > & | GetKeyDerivationAlgorithm () const =0
virtual const DL_SymmetricEncryptionAlgorithm & | GetSymmetricEncryptionAlgorithm () const =0
const DL_GroupParameters< Element > & | GetAbstractGroupParameters () const
DL_GroupParameters< Element > & | AccessAbstractGroupParameters ()
virtual KeyInterface & | AccessKeyInterface ()=0
virtual const KeyInterface & | GetKeyInterface () const =0

## Detailed Description

### template<class PK, class KI>
class DL_CryptoSystemBase< PK, KI >

_

Definition at line 1151 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h